overwrite: true
generates:
  ./src/graphql/types/general_types.ts:
    documents:
      - 'src/graphql/general/*'
    schema: https://gql-dev.joltify.io/v1/graphql
    config:
      # omitOperationSuffix: true
      skipTypeNameForRoot: true
    plugins:
      - "typescript"
      - "typescript-operations"
      - "typescript-react-apollo" # To generate custom hooks per query
